com.io7m.jcamera.examples.jogl

## Class ExampleFPSStyleGLListener

- java.lang.Object
- - com.io7m.jcamera.examples.jogl.ExampleFPSStyleGLListener

- All Implemented Interfaces:
    com.jogamp.opengl.GLEventListener, EventListener

      public final class ExampleFPSStyleGLListener
      extends Object
      implements com.jogamp.opengl.GLEventListener

  The GL event listener used to handle rendering and driving of the simulation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleFPSStyleGLListener(com.jogamp.newt.opengl.GLWindow in_window, JCameraFPSStyleSnapshot in_snap, ExampleFPSStyleSimulationType in_sim, AtomicReference<JCameraFPSStyleMouseRegion> in_mouse_region, ExampleRendererType in_renderer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `display(com.jogamp.opengl.GLAutoDrawable drawable)`
    `void` | `dispose(com.jogamp.opengl.GLAutoDrawable drawable)`
    `void` | `init(com.jogamp.opengl.GLAutoDrawable drawable)` Initialize the simulation.
    `void` | `reshape(com.jogamp.opengl.GLAutoDrawable drawable, int x, int y, int width, int height)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleFPSStyleGLListener

          public ExampleFPSStyleGLListener(com.jogamp.newt.opengl.GLWindow in_window,
                                           JCameraFPSStyleSnapshot in_snap,
                                           ExampleFPSStyleSimulationType in_sim,
                                           AtomicReference<JCameraFPSStyleMouseRegion> in_mouse_region,
                                           ExampleRendererType in_renderer)

  - ### Method Detail

    - #### init

          public void init(@Nullable
                           com.jogamp.opengl.GLAutoDrawable drawable)

      Initialize the simulation.
      Specified by:
        `init` in interface `com.jogamp.opengl.GLEventListener`
      Parameters:
        `drawable` - The OpenGL drawable

    - #### dispose

          public void dispose(@Nullable
                              com.jogamp.opengl.GLAutoDrawable drawable)

      Specified by:
        `dispose` in interface `com.jogamp.opengl.GLEventListener`

    - #### display

          public void display(@Nullable
                              com.jogamp.opengl.GLAutoDrawable drawable)

      Specified by:
        `display` in interface `com.jogamp.opengl.GLEventListener`

    - #### reshape

          public void reshape(@Nullable
                              com.jogamp.opengl.GLAutoDrawable drawable,
                              int x,
                              int y,
                              int width,
                              int height)

      Specified by:
        `reshape` in interface `com.jogamp.opengl.GLEventListener`

Copyright © 2017 <code@io7m.com> http://io7m.com